Subject: Re: vm changes from linux-2.6.14 to linux-2.6.15

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 01 May 2007 12:05:36 +1000

> At present, update_mmu_cache() and lazy_mmu_prot_update() are always 
> called when ptep_set_access_flags() is called so why not move them into 
> ptep_set_access_flags() and change ptep_set_access_flags() to have an 
> additional boolean parameter (__update) that would when set, cause 
> update_mmu_cache() and lazy_mmu_prot_update() to be called.

Well, ptep_set_access_flags() is a low level arch hook, I'd rather not
start hiding update_mmu_cache() calls in it ...

Ben.